Nonsense Poetry Manager

    hyper-confirm

    1.0.0 • Public • Published

    build npm npm npm

    hyper-confirm

    hyper-confirm is a plugin for Hyper (formerly HyperTerm) that shows a confirmation dialog before quitting Hyper. This functionality, which is found in other terminal emulators like iTerm2, provides a safety net against accidentally quitting Hyper (a common problem outlined in Hyper Issue #399).

    Installation

    Via hpm

    To install hyper-confirm via hpm (recommended), run the following command in your terminal:

    hpm install hyper-confirm
    

    Manually

    If you don't use hpm, add hyper-confirm to the plugins array in your Hyper config file (typically found at ~/.hyper.js):

      plugins: [
        ...
        'hyper-confirm'
      ]

    Configuration

    As of hyper-confirm v1.0, the quit confirmation dialog is enabled by default. To disable it, add confirmQuit: false to the config object in your Hyper config file (typically found at ~/.hyper.js):

      module.exports = {
        config: {
          ...
          confirmQuit: false
        },
        ...
      };

    Credits

    License

    hyper-confirm is released under the MIT License.

    Install

    npm i hyper-confirm

    DownloadsWeekly Downloads

    3

    Version

    1.0.0

    License

    MIT

    Unpacked Size

    395 kB

    Total Files

    7

    Last publish

    Collaborators

    • zachflower